Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.hyades.logging.events
Class AvailableSituationImpl

    java.lang.Object
      org.eclipse.hyades.logging.events.SituationTypeImpl
          org.eclipse.hyades.logging.events.AvailableSituationImpl

All Implemented Interfaces:
  java.lang.Cloneable, IAvailableSituation, ISituationType, java.io.Serializable

Deprecated. This class is deprecated as of 2004-05-17. Use the corresponding class available in org.eclipse.hyades.logging.events.cbe*

public class AvailableSituationImpl
extends SituationTypeImpl
implements IAvailableSituation, java.io.Serializable, java.lang.Cloneable

The AvailableSituation deals with the situations reported from the component, regarding its operational state and availability. This situation provides a context for operations that can be performed on the component by distinguishing if a product is installed, operational and ready to process functional requests, or operational and ready/not ready to process management requests. Existing message include words like those that now ready to take requests, online, and offline, for example: `ADMC0013I: SOAP connector available at port 8880 ADMC0026I: RMI Connector available at port 2809`

Since:
  1.0.1
Version:
  1.0.1
Author:
  Richard K. Duggan, Paul E. Slauenwhite
See Also:
  `IStartSituation`, `IAvailableSituation`, Serialized Form

Field Summary
`protected java.lang.String` | `availabilityDisposition` Deprecated.
`protected java.lang.String` | `operationDisposition` Deprecated.
`protected java.lang.String` | `processingDisposition` Deprecated.

Fields inherited from class org.eclipse.hyades.logging.events.SituationTypeImpl
`reasoningScope`

Constructor Summary
`protected` | `AvailableSituationImpl()` Deprecated. No-argument protected constructor for AvailableSituationImpl.

Method Summary
`java.lang.Object` | `clone()` Deprecated. Return a clone (copy by value) of this object.
`boolean` | `equals(java.lang.Object object)` Deprecated. Overrides the `java.lang.Object`'s equals() API to determine if the parameter `object` is equal to this object.
`java.lang.String` | `getAvailabilityDisposition()` Deprecated. Returns the availabilityDisposition.
`java.lang.String` | `getOperationDisposition()` Deprecated. Returns the operationDisposition.
`java.lang.String` | `getProcessingDisposition()` Deprecated. Returns the processingDisposition.
`void` | `init()` Deprecated. Resets the object's properties to their initial (e.g.
`void` | `setAvailabilityDisposition(java.lang.String availabilityDisposition)` Deprecated. Sets the availabilityDisposition.
`void` | `setOperationDisposition(java.lang.String operationDisposition)` Deprecated. Sets the operationDisposition.
`void` | `setProcessingDisposition(java.lang.String processingDisposition)` Deprecated. Sets the processingDisposition.

Methods inherited from class org.eclipse.hyades.logging.events.SituationTypeImpl
`getReasoningScope, setReasoningScope`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.hyades.logging.events.ISituationType
`getReasoningScope, setReasoningScope`

Field Detail

### operationDisposition

    protected java.lang.String operationDisposition

  Deprecated.

### processingDisposition

    protected java.lang.String processingDisposition

  Deprecated.

### availabilityDisposition

    protected java.lang.String availabilityDisposition

  Deprecated.

Constructor Detail

### AvailableSituationImpl

    protected AvailableSituationImpl()

  Deprecated.
  No-argument protected constructor for AvailableSituationImpl.

Method Detail

### getOperationDisposition

    public java.lang.String getOperationDisposition()

  Deprecated.
  Returns the operationDisposition. This property specifies the operation state of the component reported by the situation. The operationalDisposition is a string with the following set of values: STARTABLE NONSTARTABLE This is a REQUIRED property and once it is set it MUST NOT change. The string length for this property MUST NOT exceed 64 characters.

  Specified by:
    `getOperationDisposition` in interface `IAvailableSituation`
  Returns:
    String The returned operationDisposition.
  Since:
    1.0.1

### getProcessingDisposition

    public java.lang.String getProcessingDisposition()

  Deprecated.
  Returns the processingDisposition. This property specifies the processing disposition of a component opertation that caused the situation to be reported. The processingDisposition is a string with the following set of values: FUNCTION_PROCESS FUNCTION_BLOCK MGMTTASK_PROCESS MGMTTASK_BLOCKED This is a REQUIRED property and once it is set it MUST NOT change. The string length for this property MUST NOT exceed 64 characters.

  Specified by:
    `getProcessingDisposition` in interface `IAvailableSituation`
  Returns:
    String The returned processingDisposition.
  Since:
    1.0.1

### getAvailabilityDisposition

    public java.lang.String getAvailabilityDisposition()

  Deprecated.
  Returns the availabilityDisposition. This property specifies the availability disposition of an entity or component that caused the situation to be reported. The availableDisposition is a string with the following set of values: AVAILABLE NOT AVAILABLE This is a REQUIRED property and once it is set it MUST NOT change. The string length for this property MUST NOT exceed 64 characters.

  Specified by:
    `getAvailabilityDisposition` in interface `IAvailableSituation`
  Returns:
    String The returned availabilityDisposition.
  Since:
    1.0.1

### setOperationDisposition

    public void setOperationDisposition(java.lang.String operationDisposition)

  Deprecated.
  Sets the operationDisposition. This property specifies the operation state of the component reported by the situation. The operationalDisposition is a string with the following set of values: STARTABLE NONSTARTABLE This is a REQUIRED property and once it is set it MUST NOT change. The string length for this property MUST NOT exceed 64 characters.

  Specified by:
    `setOperationDisposition` in interface `IAvailableSituation`
  Parameters:
    `operationDisposition` - The operationDisposition to be set.
  Since:
    1.0.1

### setProcessingDisposition

    public void setProcessingDisposition(java.lang.String processingDisposition)

  Deprecated.
  Sets the processingDisposition. This property specifies the processing disposition of a component opertation that caused the situation to be reported. The processingDisposition is a string with the following set of values: FUNCTION_PROCESS FUNCTION_BLOCK MGMTTASK_PROCESS MGMTTASK_BLOCKED This is a REQUIRED property and once it is set it MUST NOT change. The string length for this property MUST NOT exceed 64 characters.

  Specified by:
    `setProcessingDisposition` in interface `IAvailableSituation`
  Parameters:
    `processingDisposition` - The processingDisposition to be set.
  Since:
    1.0.1

### setAvailabilityDisposition

    public void setAvailabilityDisposition(java.lang.String availabilityDisposition)

  Deprecated.
  Sets the availabilityDisposition. This property specifies the availability disposition of an entity or component that caused the situation to be reported. The availableDisposition is a string with the following set of values: AVAILABLE NOT AVAILABLE This is a REQUIRED property and once it is set it MUST NOT change. The string length for this property MUST NOT exceed 64 characters.

  Specified by:
    `setAvailabilityDisposition` in interface `IAvailableSituation`
  Parameters:
    `availabilityDisposition` - The availabilityDisposition to be set.
  Since:
    1.0.1

### equals

    public boolean equals(java.lang.Object object)

  Deprecated.
  Overrides the `java.lang.Object`'s equals() API to determine if the parameter `object` is equal to this object.

  Overrides:
    `equals` in class `SituationTypeImpl`
  Parameters:
    `object` - The `java.lang.Object` to be compared to this object.
  Returns:
    true if this object is the same as the parameter `object`, false otherwise.
  See Also:
    `Object.equals(java.lang.Object)`

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Deprecated.
  Return a clone (copy by value) of this object. This is a deep copy version, in which all the objects within this object will be copied by value.

  Overrides:
    `clone` in class `SituationTypeImpl`
  Returns:
    Object The clone of this object.
  Throws:
    `java.lang.CloneNotSupportedException`

### init

    public void init()

  Deprecated.
  Resets the object's properties to their initial (e.g. null) state.

  Specified by:
    `init` in interface `ISituationType`
  Overrides:
    `init` in class `SituationTypeImpl`
  See Also:
    `ISituationType.init()`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD